<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ 
<!ENTITY nbsp
"<xsl:text xmlns:xsl='http://www.w3.org/1999/XSL/Transform' disable-output-escaping='yes'>&amp;nbsp;</xsl:text>">
]>


<!--
www.lightroom-tutorial.de
Copyright (c) 2009

You have the right to use it, experiment with it, fold, spindle, or mutilate it, and pretty much
do anything non-commercial and legal you'd like with it, as long as this copyright notice is retained.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>

    <xsl:param name="metadata_siteInfo_title" select="/photoCollection/display/metadata/siteInfo/@title"/>

    <xsl:param name="webbkgndColor" select="concat( '#', /photoCollection/display/style/tiltviewer/@bkgndOuterColor)"/>
    <xsl:param name="appearance_tiltviewer_bkgndOuterColor" select="concat( '0x', /photoCollection/display/style/tiltviewer/@bkgndOuterColor)"/>
    <xsl:param name="appearance_tiltviewer_bkgndInnerColor" select="concat( '0x', /photoCollection/display/style/tiltviewer/@bkgndInnerColor)"/>
    <xsl:param name="appearance_tiltviewer_backgroundColor" select="concat( '0x', /photoCollection/display/style/tiltviewer/@backgroundColor)"/>
    <xsl:param name="appearance_tiltviewer_frameColor" select="concat( '0x', /photoCollection/display/style/tiltviewer/@frameColor)"/>

    <xsl:param name="agmSizes_large_width" select="/photoCollection/head/sizes/size/@width"/>
    <xsl:param name="appearance_tiltviewer_columns" select="round(/photoCollection/display/style/tiltviewer/@columns)"/>
    <xsl:param name="appearance_tiltviewer_rows" select="round(/photoCollection/display/style/tiltviewer/@rows)"/>
    <xsl:param name="appearance_tiltviewer_maxsize" select="round(/photoCollection/display/style/tiltviewer/@maxsize)+round(/photoCollection/display/style/tiltviewer/@padding)"/>




<xsl:template  match="/">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><xsl:value-of select="$metadata_siteInfo_title"/></title>
<script type="text/javascript" src="swfobject.js"></script>
<style type="text/css">
	/* hide from ie on mac \*/
	html {
		height: 100%;
		overflow: hidden;
	}

	#flashcontent {
		height: 100%;
	}
	/* end hide */

	body {
		height: 100%;
		margin: 0;
		padding: 0;
		color:<xsl:value-of select="$webbkgndColor"/>;
		font-family:sans-serif;
		font-size:40;
	}

	a {
		color:#cccccc;
	}
</style>
</head>
<body>
	<div id="flashcontent">TiltViewer requires JavaScript and the latest Flash player. <a href="http://www.macromedia.com/go/getflashplayer/">Get Flash here.</a></div>
	<script type="text/javascript">

		var fo = new SWFObject("TiltViewer.swf", "viewer", "100%", "100%", "9.0.28", "<xsl:value-of select="$webbkgndColor"/>");
		fo.addVariable("useFlickr", "false");
		fo.addVariable("maxJPGSize","<xsl:value-of select="$appearance_tiltviewer_maxsize"/>");

		// TILTVIEWER CONFIGURATION OPTIONS
		// To use an option, uncomment it by removing the "//" at the start of the line
		// For a description of config options, go to:
		// http://www.airtightinteractive.com/projects/tiltviewer/config_options.html
		//FLICKR GALLERY OPTIONS
		// To use images from Flickr, uncomment this block
		//fo.addVariable("useFlickr", "true");
		//fo.addVariable("user_id", "48508968@N00");
		//fo.addVariable("tags", "jump,smile");
		//fo.addVariable("tag_mode", "all");
		//fo.addVariable("showTakenByText", "true");		

		//GENERAL OPTIONS
		//fo.addVariable("showFlipButton", "true");
		//fo.addVariable("showLinkButton", "true");
		//fo.addVariable("langGoFull", "Go Fullscreen");
		//fo.addVariable("langExitFull", "Exit Fullscreen");
		//fo.addVariable("langAbout", "About");		

		fo.addVariable("useReloadButton", "false");
		fo.addVariable("columns", "<xsl:value-of select="$appearance_tiltviewer_columns"/>");
		fo.addVariable("rows", "<xsl:value-of select="$appearance_tiltviewer_rows"/>");

		fo.addVariable("frameColor",      '<xsl:value-of select="$appearance_tiltviewer_frameColor"/>');
		fo.addVariable("backColor",       '<xsl:value-of select="$appearance_tiltviewer_backgroundColor"/>');
		fo.addVariable("bkgndInnerColor", '<xsl:value-of select="$appearance_tiltviewer_bkgndInnerColor"/>');
		fo.addVariable("bkgndOuterColor", '<xsl:value-of select="$appearance_tiltviewer_bkgndOuterColor"/>');

		fo.addVariable("linkLabel", "Click to follow link");
		
		fo.addParam("allowFullScreen","true");
		fo.write("flashcontent");	
		
		
	</script>

  <p style="font-size:xx-small;text-align:center;"><a href="http://www.lightroom-tutorial.de">by lightroom-tutorial.de</a></p>


</body>
</html>

    </xsl:template>
    <!-- ////////////////////////////////////// END GENERATE MAIN INDEX PAGE /////////////////////////////////// -->


</xsl:stylesheet>



